org.apache.myfaces.trinidad.webapp

## Enum UIXComponentELTag.CheckExecutionResult

- java.lang.Object
- - java.lang.Enum<UIXComponentELTag.CheckExecutionResult>
  - - org.apache.myfaces.trinidad.webapp.UIXComponentELTag.CheckExecutionResult

- All Implemented Interfaces:
    Serializable, Comparable<UIXComponentELTag.CheckExecutionResult>
  Enclosing class:
    UIXComponentELTag

      protected static enum UIXComponentELTag.CheckExecutionResult
      extends Enum<UIXComponentELTag.CheckExecutionResult>

  See Also:
    `UIXComponentELTag.checkChildTagExecution(javax.faces.webapp.UIComponentELTag, java.lang.String)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPT` Execute the child tag and its body
    `REJECT` Skip both the creation of the component, and do not execute the child's body

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIXComponentELTag.CheckExecutionResult` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIXComponentELTag.CheckExecutionResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACCEPT

          public static final UIXComponentELTag.CheckExecutionResult ACCEPT

      Execute the child tag and its body

    - #### REJECT

          public static final UIXComponentELTag.CheckExecutionResult REJECT

      Skip both the creation of the component, and do not execute the child's body

  - ### Method Detail

    - #### values

          public static UIXComponentELTag.CheckExecutionResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIXComponentELTag.CheckExecutionResult c : UIXComponentELTag.CheckExecutionResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIXComponentELTag.CheckExecutionResult valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.